Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162978 - CAN-2005-2104 sysreport insecure temporary directory usage
Summary: CAN-2005-2104 sysreport insecure temporary directory usage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: sysreport
Version: 4.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard: impact=low,embargo=20050809,source=se...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-11 22:48 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2005-598
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-09 16:07:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:598 normal SHIPPED_LIVE Low: sysreport security update 2005-08-09 04:00:00 UTC

Description Josh Bressers 2005-07-11 22:48:40 UTC
sysreport creates a temporary directory in an insecure manner.

umask 0077
ROOT=/tmp/sysreport.$$

ROOT should be something like
ROOT=`mktemp -d /tmp/sysreport.XXXXXXXX`

It is possible for a local attacker to cause a race condition and trick
sysreport into writing its output to a directory the attacker can read.

Comment 1 Josh Bressers 2005-07-11 22:49:41 UTC
This issue should also affect RHEL2.1 and RHEL3

Comment 2 Josh Bressers 2005-07-11 22:52:20 UTC
This issue was discovered by Bill Stearns

Comment 3 Ngo Than 2005-07-12 10:31:59 UTC
it's now fixed in sysreport-1.3.15-3 (RHEL4), sysreport-1.3.7.2-7 (RHEL3) and
sysreport-1.3.7.0-5 (RHEL2.1).

Comment 4 Josh Bressers 2005-08-09 15:32:46 UTC
Lifting embargo

Comment 5 Red Hat Bugzilla 2005-08-09 16:07:28 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-598.html


Comment 6 Fedora Update System 2005-11-10 17:18:35 UTC
From User-Agent: XML-RPC

sysreport-1.4.1-5 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.